#ifndef _DYNDNSSETTINGSWIN_H
#define _DYNDNSSETTINGSWIN_H
/******************/
/* Setting Window */
/******************/

#include <Window.h>

class MTitleView;
class MTabView;
class DynDnsUpdate;

// setting views
class AboutView;
class UserView;
class ServerView;
class LogView;
class OtherView;

class DynDnsSettingsWin : public BWindow
{
public:

	DynDnsSettingsWin(BRect frame,DynDnsUpdate *updater);
	virtual ~DynDnsSettingsWin();
	
	// virtual functions from BWindow
	virtual	void		MessageReceived(BMessage *message);
	virtual	void		Show();
	virtual	void		Hide();

protected:
	DynDnsUpdate	*_updater;
	MTitleView		*_titleView;
	MTabView		*_tabView;
	// setting views
	AboutView		*_aboutView;
	UserView		*_userView;
	ServerView		*_serverView;
	LogView			*_logView;
	OtherView		*_otherView;
};

#endif