#ifndef _MURLVIEW_H
#define _MURLVIEW_H
/************************/
/* classe MTab speciale */
/************************/

#include <View.h>
#include <String.h>

enum url_type
{
	WWW_LINK	= 0,
	MAIL_LINK	= 1
};

class MUrlView : public BView
{
// fonctions
public:

	MUrlView(BRect frame,const char *label, const char *url,url_type type);
	virtual ~MUrlView();

	virtual void	MessageReceived(BMessage *message);		// reception des messages
	virtual	void	Draw(BRect updateRect);					// dessiner la vue
	virtual	void	MouseDown(BPoint point);				// on clique sur le controle
	virtual	void	MouseMoved(BPoint point, uint32 transit,const BMessage *message); // on passe au dessus (souris)

			void	SetText(const char *text);

private:
	bool		_entered;
	BString		_label;
	BString		_url;
	url_type	_type;

};

#endif