/************/
/* Log View */
/************/

#include "LogView.h"

#include <TextView.h>
#include <ScrollView.h>

/**** constructor ****/
LogView::LogView(BRect frame)
: BView(frame,"Log",B_FOLLOW_ALL_SIDES, B_WILL_DRAW)
{
	BRect			bounds;
	BScrollView		*scrollSupport;

	// fix view color (standard color)
	SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	
	// textview
	frame.right -=15;
	frame.bottom -= 15;
	frame.InsetBy(4,4);
	bounds = frame;
	bounds.InsetBy(1,1);
	bounds.right *= 3;
	_logTextView = new BTextView(frame,"log-text-view",bounds,B_FOLLOW_ALL_SIDES);
	scrollSupport = new BScrollView("scroll-support",_logTextView,B_FOLLOW_LEFT | B_FOLLOW_TOP,0,true,true);
	_logTextView->SetWordWrap(false);

	// add
	AddChild(scrollSupport);
}

/**** destructor ****/
LogView::~LogView()
{
}