#ifndef __PREFERENCES_H__
#define __PREFERENCES_H__

#include <Message.h>
#include <String.h>

#define		C_DISPATCH_PREFS			'disp'

class CPreferences : public BMessage
{
protected:
	status_t	_status;
	BString		_filePath;

public:
				CPreferences();
				~CPreferences();
	
	// charger / sauver les prefs
	status_t	Load();
	status_t	Save();
	status_t	SetDefault();
	
	// verifier si les prefs sont chargées
	status_t	PreferencesLoaded();
	// recuperer le chemin
	const char	*SettingPath();
	
	// donnees
	BString		_Ip;
	BString		_user;
	BString		_password;
	BString		_host;
	BString		_system;
	int32		_wildcard;
	BString		_mx;
	int32		_backmx;
	int32		_offline;
	BString		_applicationPath;
	BString		_checkIpServer;
	BString		_dyndnsServer;
	int32		_port;
	int32		_delay;
	int8		_timeOut;
	int32		_logSize;
	BRect		_winPosition;
};

#endif