#include "Launcher.h"
#include "DynDnsUpdateReplicant.h"
#include "CPreferences.h"

#include <Deskbar.h>
#include <File.h>
#include <Roster.h>
#include <Path.h>
#include <NodeInfo.h>

#include <stdio.h>
#include "DynDnsSettingsWin.h"

/**** Start ****/
int main(int argc, char *argv[])
{
	Launcher	*application;
	
	// start application in background
	application = new Launcher();
	delete application;
//Launcher	app;
//app.Run();
	return 0;
}

/**** Constructor ****/
Launcher::Launcher(void)
: BApplication("application/x-vnd.CKJ.DynDnsUpdate")
{
	BDeskbar			desk;
	BFile				file;
	BPath				appPath;
	app_info			info;
	CPreferences		prefs;

	// load Settings
	if(prefs.Load()!=B_OK)
		prefs.SetDefault();

	// save exe path for the ReplicantView
	// use to load bitmap from ressource
	// initialiser la ressource
	GetAppInfo(&info);
	file.SetTo(&(info.ref), B_READ_ONLY);
	appPath.SetTo(&(info.ref)); 
	prefs._applicationPath = appPath.Path();

	// save into prefs
	prefs.Save();
//(new DynDnsSettingsWin(prefs._winPosition,NULL))->Show();
	// Install relicant View
	if(desk.HasItem("DynDnsUpdateReplicant")==false)
	{
		BRoster roster;
		entry_ref ref;

		// find application in roster
		if(roster.FindApp("application/x-vnd.CKJ.DynDnsUpdate",&ref)!=B_OK)
			printf("Error Application not find\n");
		
		// add archived view from app
		if(desk.AddItem(&ref)!=B_OK)
			printf("Error on the Install of Replicant\n");
		
	}
}

/**** Destructor ****/
Launcher::~Launcher()
{
}